Results 1 to 10 of 10

Thread: anyone play scourge? I can't install it!

  1. #1
    Member registered user
    Join Date
    Dec 2004
    Posts
    30

    anyone play scourge? I can't install it!

    anyone play scourge? I can't install it!

    here is the homepage: http://scourge.sourceforge.net/

    here is what I get when i type "make"

    Code:
    make  all-recursive
    make[1]: Entering directory `/home/mathar/Desktop/MyDocuments/games/scourge-0
    .9'
    Making all in src
    make[2]: Entering directory `/home/mathar/Desktop/MyDocuments/games/scourge-0
    .9/src'
    Making all in freetype
    make[3]: Entering directory `/home/mathar/Desktop/MyDocuments/games/scourge-0
    .9/src/freetype'
    c++ -DHAVE_CONFIG_H -I. -I. -I../.. -I.  -DTUXRACER_NO_ASSERT=1 -I/usr/includ
    e/freetype2   -O2 -Wall -Wno-deprecated -fomit-frame-pointer -ffast-math -fex
    pensive-optimizations -falign-loops=2 -falign-jumps=2 -falign-functions=2 -c
    FreeType.cpp
    In file included from FreeType.h:12,
                     from FreeType.cpp:9:
    ../constants.h:30:17: SDL.h: No such file or directory
    ../constants.h:31:24: SDL_opengl.h: No such file or directory
    ../constants.h:32:24: SDL_endian.h: No such file or directory
    In file included from FreeType.h:12,
                     from FreeType.cpp:9:
    ../constants.h:52: error: `GLenum' was not declared in this scope
    ../constants.h:52: error: parse error before `)' token
    ../constants.h:53: error: `GLenum' was not declared in this scope
    ../constants.h:53: error: parse error before `,' token
    ../constants.h:54: error: `GLenum' was not declared in this scope
    ../constants.h:54: error: parse error before `,' token
    In file included from FreeType.h:12,
                     from FreeType.cpp:9:
    ../constants.h:219: error: parse error before `,' token
    ../constants.h:220: error: 'GLint' is used as a type, but is not defined as a
    
       type.
    ../constants.h:222: error: 'GLfloat' is used as a type, but is not defined as
     a
       type.
    ../constants.h:337: error: ISO C++ forbids declaration of `Uint16' with no ty
    pe
    ../constants.h:337: error: parse error before `=' token
    ../constants.h:338: error: ISO C++ forbids declaration of `Uint16' with no ty
    pe
    ../constants.h:338: error: declaration of `const int Constants::Uint16'
    ../constants.h:337: error: conflicts with previous declaration `const int
       Constants::Uint16'
    ../constants.h:338: error: parse error before `=' token
    ../constants.h:339: error: ISO C++ forbids declaration of `Uint16' with no ty
    pe
    ../constants.h:339: error: declaration of `const int Constants::Uint16'
    ../constants.h:337: error: conflicts with previous declaration `const int
       Constants::Uint16'
    ../constants.h:339: error: parse error before `=' token
    ../constants.h:340: error: ISO C++ forbids declaration of `Uint16' with no ty
    pe
    ../constants.h:340: error: declaration of `const int Constants::Uint16'
    ../constants.h:337: error: conflicts with previous declaration `const int
       Constants::Uint16'
    ../constants.h:340: error: parse error before `=' token
    ../constants.h:712: error: `GLuint' was not declared in this scope
    ../constants.h:712: error: parse error before `[' token
    In file included from FreeType.cpp:9:
    FreeType.h:25: error: syntax error before `*' token
    FreeType.h:26: error: 'GLuint' is used as a type, but is not defined as a typ
    e.
    FreeType.cpp:21: error: type specifier omitted for parameter `GLuint'
    FreeType.cpp:21: error: parse error before `,' token
    FreeType.cpp: In function `void make_dlist(...)':
    FreeType.cpp:27: error: `face' undeclared (first use this function)
    FreeType.cpp:27: error: (Each undeclared identifier is reported only once for
    
       each function it appears in.)
    FreeType.cpp:27: error: `ch' undeclared (first use this function)
    FreeType.cpp:53: error: `GLubyte' undeclared (first use this function)
    FreeType.cpp:53: error: `expanded_data' undeclared (first use this function)
    FreeType.cpp:53: error: parse error before `[' token
    FreeType.cpp:73: error: `GL_TEXTURE_2D' undeclared (first use this function)
    FreeType.cpp:73: error: `tex_base' undeclared (first use this function)
    FreeType.cpp:73: error: `glBindTexture' undeclared (first use this function)
    FreeType.cpp:74: error: `GL_TEXTURE_MAG_FILTER' undeclared (first use this
       function)
    FreeType.cpp:74: error: `GL_LINEAR' undeclared (first use this function)
    FreeType.cpp:74: error: `glTexParameteri' undeclared (first use this function
    )
    FreeType.cpp:75: error: `GL_TEXTURE_MIN_FILTER' undeclared (first use this
       function)
    FreeType.cpp:85: error: `GL_RGBA' undeclared (first use this function)
    FreeType.cpp:86: error: `GL_LUMINANCE_ALPHA' undeclared (first use this
       function)
    FreeType.cpp:86: error: `GL_UNSIGNED_BYTE' undeclared (first use this functio
    n)
    FreeType.cpp:86: error: `glTexImage2D' undeclared (first use this function)
    FreeType.cpp:92: error: `list_base' undeclared (first use this function)
    FreeType.cpp:92: error: `GL_COMPILE' undeclared (first use this function)
    FreeType.cpp:92: error: `glNewList' undeclared (first use this function)
    FreeType.cpp:99: error: `glTranslatef' undeclared (first use this function)
    FreeType.cpp:104: error: `glPushMatrix' undeclared (first use this function)
    FreeType.cpp:122: error: `GL_QUADS' undeclared (first use this function)
    FreeType.cpp:122: error: `glBegin' undeclared (first use this function)
    FreeType.cpp:123: error: `glTexCoord2d' undeclared (first use this function)
    FreeType.cpp:123: error: `glVertex2f' undeclared (first use this function)
    FreeType.cpp:127: error: `glEnd' undeclared (first use this function)
    FreeType.cpp:128: error: `glPopMatrix' undeclared (first use this function)
    FreeType.cpp:137: error: `glEndList' undeclared (first use this function)
    FreeType.cpp: In member function `void freetype_font_data::init(const char*,
       unsigned int)':
    FreeType.cpp:147: error: `textures' undeclared (first use this function)
    FreeType.cpp:147: error: parse error before `[' token
    FreeType.cpp:179: error: `glGenLists' undeclared (first use this function)
    FreeType.cpp:180: error: `glGenTextures' undeclared (first use this function)
    FreeType.cpp: In member function `void freetype_font_data::clean()':
    FreeType.cpp:195: error: `glDeleteLists' undeclared (first use this function)
    FreeType.cpp:196: error: `glDeleteTextures' undeclared (first use this
       function)
    FreeType.cpp: In function `void pushScreenCoordinateMatrix()':
    FreeType.cpp:204: error: `GL_TRANSFORM_BIT' undeclared (first use this
       function)
    FreeType.cpp:204: error: `glPushAttrib' undeclared (first use this function)
    FreeType.cpp:205: error: `GLint' undeclared (first use this function)
    FreeType.cpp:205: error: parse error before `[' token
    FreeType.cpp:206: error: `GL_VIEWPORT' undeclared (first use this function)
    FreeType.cpp:206: error: `viewport' undeclared (first use this function)
    FreeType.cpp:206: error: `glGetIntegerv' undeclared (first use this function)
    FreeType.cpp:207: error: `GL_PROJECTION' undeclared (first use this function)
    FreeType.cpp:207: error: `glMatrixMode' undeclared (first use this function)
    FreeType.cpp:209: error: `glLoadIdentity' undeclared (first use this function
    )
    FreeType.cpp:210: error: `gluOrtho2D' undeclared (first use this function)
    FreeType.cpp:211: error: `glPopAttrib' undeclared (first use this function)
    FreeType.cpp: In function `void pop_projection_matrix()':
    FreeType.cpp:217: error: `glPushAttrib' undeclared (first use this function)
    FreeType.cpp:218: error: `glMatrixMode' undeclared (first use this function)
    FreeType.cpp: In function `void freetype_print_simple(const
       freetype_font_data&, float, float, const char*)':
    FreeType.cpp:248: error: `GLuint' undeclared (first use this function)
    FreeType.cpp:248: error: parse error before `=' token
    FreeType.cpp:252: error: `GL_MODELVIEW' undeclared (first use this function)
    FreeType.cpp:252: error: `glMatrixMode' undeclared (first use this function)
    FreeType.cpp:253: error: `glIsEnabled' undeclared (first use this function)
    FreeType.cpp:254: error: `glEnable' undeclared (first use this function)
    FreeType.cpp:255: error: `GL_BLEND' undeclared (first use this function)
    FreeType.cpp:256: error: `GL_SRC_ALPHA' undeclared (first use this function)
    FreeType.cpp:256: error: `GL_ONE_MINUS_SRC_ALPHA' undeclared (first use this
       function)
    FreeType.cpp:256: error: `glBlendFunc' undeclared (first use this function)
    FreeType.cpp:257: error: `font' undeclared (first use this function)
    FreeType.cpp:257: error: `glListBase' undeclared (first use this function)
    FreeType.cpp:267: error: `glTranslatef' undeclared (first use this function)
    FreeType.cpp:268: error: `glRotatef' undeclared (first use this function)
    FreeType.cpp:275: error: `glCallLists' undeclared (first use this function)
    FreeType.cpp:278: error: `glDisable' undeclared (first use this function)
    make[3]: *** [FreeType.o] Error 1
    make[3]: Leaving directory `/home/mathar/Desktop/MyDocuments/games/scourge-0.                              9/src/freetype'
    make[2]: *** [all-recursive] Error 1
    make[2]: Leaving directory `/home/mathar/Desktop/MyDocuments/games/scourge-0.                              9/src'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/home/mathar/Desktop/MyDocuments/games/scourge-0.                              9'
    make: *** [all-recursive-am] Error 2
    it looks like some functions are undeclared, but i don't know what functions. Should I try downloading an earlier version?

  2. #2
    Senior Member
    Join Date
    Nov 2003
    Posts
    1,323
    Have you got the libs mentioned here: http://wiki.splitbrain.org/scourge

  3. #3
    Member registered user
    Join Date
    Dec 2004
    Posts
    30
    ok, well I did apt-get update, then all of the library files were installed allright (I think), except for when I did mesag-dev. That gave me this error:
    Code:
    The following packages have unmet dependencies:
      mesag-dev: Depends: mesag3 (= 5.0.0-5.1)
                 Depends: mesa-common-dev (= 5.0.0-5.1) but it                        is not going to be installed
    E: Broken packages
    how do I unbreak the package?

  4. #4
    Senior Member
    Join Date
    Nov 2003
    Posts
    1,323
    Well, this wasn't very encouraging:
    root@mrk-fujibox:/home/markus# apt-get install mesag-dev -s
    Reading Package Lists... Done
    Building Dependency Tree... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.

    Since you only requested a single operation it is extremely likely that
    the package is simply not installable and a bug report against
    that package should be filed.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    mesag-dev: Depends: mesag3 (= 5.0.0-5.1)
    Depends: mesa-common-dev (= 5.0.0-5.1) but it is not going to be installed
    E: Broken packages

    root@mrk-fujibox:/home/markus# apt-get install -t testing mesag-dev -s
    Reading Package Lists... Done
    Building Dependency Tree... Done
    The following extra packages will be installed:
    libglu1-mesa libglu1-mesa-dev mesa-common-dev mesag3
    The following packages will be REMOVED:
    x-window-system x-window-system-core xlibmesa-dri xlibmesa-gl xlibmesa-gl-dev xlibmesa-glu xlibmesa-glu-dev
    The following NEW packages will be installed:
    libglu1-mesa libglu1-mesa-dev mesa-common-dev mesag-dev mesag3
    0 upgraded, 5 newly installed, 7 to remove and 86 not upgraded.
    Remv x-window-system (4.3.0.dfsg.1-12 Debian:unstable)
    Remv x-window-system-core (4.3.0.dfsg.1-10 Debian:testing)
    Remv xlibmesa-dri (4.3.0.dfsg.1-10 Debian:testing)
    Remv xlibmesa-glu-dev (4.3.0.dfsg.1-10 Debian:testing) [libqt3-mt-dev ]
    Remv xlibmesa-glu (4.3.0.dfsg.1-10 Debian:testing) [tuxracer bzflag libwxgtk2.4-python libwxgtk2.5.3 xbase-clients chromium libqt3-mt-dev libwxgtk2.4 libwine python2.3-opengl vlc libsdl-perl libfltk1.1c102 crack-attack python2.3-qt3 freeglut3 python2.3-qt3-gl alsamixergui ]
    Remv xlibmesa-gl-dev (4.3.0.dfsg.1-10 Debian:testing) [tuxracer bzflag libwxgtk2.4-python libwxgtk2.5.3 xbase-clients chromium libqt3-mt-dev libwxgtk2.4 libwine python2.3-opengl vlc libsdl-perl libfltk1.1c102 crack-attack python2.3-qt3 freeglut3python2.3-qt3-gl alsamixergui ]
    Remv xlibmesa-gl (4.3.0.dfsg.1-10 Debian:testing) [tuxracer bzflag libwxgtk2.4-python libwxgtk2.5.3 libglpng xbase-clientssupertux xawtv mplayer-586 chromium libqt3-mt-dev libwxgtk2.4 libwine dosbox python2.3-opengl plib1.8.3 pia sim vlc libsdl-perl libfltk1.1c102 filelight crack-attack tuxkart alsaplayer-gtk python2.3-qt3 freeglut3 python2.3-qt3-gl alsamixergui ]
    Inst mesag3 (5.0.0-5.1 Debian:unstable) [tuxracer bzflag libwxgtk2.4-python libwxgtk2.5.3 xbase-clients chromium libqt3-mt-dev libwxgtk2.4 libwine python2.3-opengl vlc libsdl-perl libfltk1.1c102 crack-attack python2.3-qt3 freeglut3 python2.3-qt3-gl alsamixergui ]
    Inst libglu1-mesa (5.0.0-5.1 Debian:unstable) [libqt3-mt-dev ]
    Inst libglu1-mesa-dev (5.0.0-5.1 Debian:unstable) [libqt3-mt-dev ]
    Inst mesag-dev (5.0.0-5.1 Debian:unstable) []
    Inst mesa-common-dev (5.0.0-5.1 Debian:unstable)
    Conf libglu1-mesa (5.0.0-5.1 Debian:unstable)
    Conf mesag3 (5.0.0-5.1 Debian:unstable)
    Conf libglu1-mesa-dev (5.0.0-5.1 Debian:unstable)
    Conf mesa-common-dev (5.0.0-5.1 Debian:unstable)
    Conf mesag-dev (5.0.0-5.1 Debian:unstable)
    root@mrk-fujibox:/home/markus#

    I could also have gotten it to install with "apt-get install mesag3 libglu1-mesa -s" but that would also have remove the whole x-windows and KDE
    As I don't remember if Knoppix has X from testing or unstable see what happens with:
    apt-get install -t testing mesag3 mesa-common-dev mesag-dev -s

  5. #5
    Member registered user
    Join Date
    Dec 2004
    Posts
    30
    when I try that command, I get this:

    The following packages have unmet dependencies:
    mesa-common-dev: Depends: libglu1-mesa-dev but it is not going to be installed
    mesag3: Depends: libglu1-mesa but it is not going to be installed
    E: Broken packages


    so i need to find libglu1-mesa?

  6. #6
    Senior Member
    Join Date
    Nov 2003
    Posts
    1,323
    Just try to apt everything in one go and see what happens. Pay especially attention if it wants to remove packages.
    apt-get install -t testing mesag3 mesa-common-dev mesag-dev libglu1-mesa -s

  7. #7
    Member registered user
    Join Date
    Dec 2004
    Posts
    30
    hmm
    I think I might have a problem with the prescense of SDL
    Does knoppix come with SDL? Or do I need to like install it myself? If so, do I just dl the tar.gz files at http://www.libsdl.org/download-1.0.php?
    Another thing it needs is GLUT and OpenGL
    Are those included with Knoppix?

  8. #8
    Senior Member
    Join Date
    Nov 2003
    Posts
    1,323
    I'm running kanotix but knoppix should have both opengl and sdl as well as glut ftp://ftp.uni-kl.de/pub/linux/knoppix/packages.txt
    To find out if a package is installed: COLUMNS=140 dpkg -l|grep sdl

  9. #9
    Member registered user
    Join Date
    Dec 2004
    Posts
    30
    well, in that case; I put in the command that markus suggested, and got this:

    Code:
    Reading Package Lists... Done
    Building Dependency Tree... Done
    The following extra packages will be installed:
      libglu1-mesa-dev
    The following packages will be REMOVED:
      xlibmesa-dri xlibmesa-gl xlibmesa-gl-dev xlibmesa-glu
      xlibmesa-glu-dev
    The following NEW packages will be installed:
      libglu1-mesa libglu1-mesa-dev mesa-common-dev mesag-dev mesag3
    The following held packages will be changed:
      xlibmesa-dri
    0 upgraded, 5 newly installed, 5 to remove and 768 not upgraded.
    Remv xlibmesa-dri (4.3.0.dfsg.1-10 Debian:testing)
    Remv xlibmesa-glu-dev (4.3.0.dfsg.1-10 Debian:testing) [libsdl1.2-dev libqt3-mt-dev ]
    Remv xlibmesa-gl-dev (4.3.0.dfsg.1-10 Debian:testing) [libsdl1.2-dev libqt3-mt-dev ]
    Remv xlibmesa-glu (4.3.0.dfsg.1-10 Debian:testing) [libsdl1.2-dev xbase-clients chromium libqt3-mt-dev libwxgtk2.4 libwine libsdl-perl freeglut3 ]
    Remv xlibmesa-gl (4.3.0.dfsg.1-10 Debian:testing) [qtparted libsdl1.2-dev kcontrol libglpng xbase-clients xawtv kdenetwork-kfile-plugins chromium libqt3-mt-dev libwxgtk2.4 libwine kxconfig pia scribus libsdl-perl kgeo freeglut3 ]
    Inst mesag3 (5.0.0-5.1 Debian:testing) [libsdl1.2-dev xbase-clients chromium libqt3-mt-dev libwxgtk2.4 libwine libsdl-perl freeglut3 ]
    Inst libglu1-mesa (5.0.0-5.1 Debian:testing) [libsdl1.2-dev libqt3-mt-dev ]
    Inst libglu1-mesa-dev (5.0.0-5.1 Debian:testing) [libqt3-mt-dev ]
    Inst mesag-dev (5.0.0-5.1 Debian:testing) []
    Inst mesa-common-dev (5.0.0-5.1 Debian:testing)
    Conf libglu1-mesa (5.0.0-5.1 Debian:testing)
    Conf mesag3 (5.0.0-5.1 Debian:testing)
    Conf libglu1-mesa-dev (5.0.0-5.1 Debian:testing)
    Conf mesa-common-dev (5.0.0-5.1 Debian:testing)
    Conf mesag-dev (5.0.0-5.1 Debian:testing)
    so should I go ahead, and not use the testing part of it?

  10. #10
    Senior Member
    Join Date
    Nov 2003
    Posts
    1,323
    To me it seems like that would replace newer packages with older ones:
    markus@mrk-fujibox:~$ apt-cache show xlibmesa-glu
    Package: xlibmesa-glu
    Priority: optional
    Section: libs
    Installed-Size: 760
    Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
    Architecture: i386
    Source: xfree86
    Version: 4.3.0.dfsg.1-12.0.1
    Replaces: libglu1, libutahglx1, mesag3 (<< 5.0.0-1), xlibmesa3 (<< 4.2.1-5), xlibmesa3-glu
    Provides: libglu1
    Depends: libc6 (>= 2.3.2.ds1-4), libgcc1 (>= 1:3.4.1-3), libstdc++5 (>= 1:3.3.4-1), xlibmesa-gl | libgl1
    Conflicts: libglu1, libutahglx1, mesag3 (<< 5.0.0-1), xlibmesa3 (<< 4.2.1-5), xlibmesa3-glu
    Filename: pool/main/x/xfree86/xlibmesa-glu_4.3.0.dfsg.1-12.0.1_i386.deb
    Size: 362540
    MD5sum: 53a8743955128105e213cfa756d9693c
    Description: Mesa OpenGL utility library [XFree86]
    The OpenGL utility library (GLU) offers simple interfaces for building
    mipmaps; checking for the presence of extensions in the OpenGL (or other
    libraries which follow the same conventions for advertising extensions);
    drawing piecewise linear curves, NURBS, quadrics and other primitives
    (including, but not limited to, teapots); tesselating surfaces; setting up
    projection matrices and unprojecting screen coordinates to world coordinates.
    .
    XFree86 maintains its own version of the Mesa libraries; see the xlibmesa-gl
    package for further information.
    .
    This package was built using version 1.02 of the C++ ABI.


    Have you checked if there's a newer scourge package?
    If nothing else remains to try and you really want the game I suppose you could use the last command you posted but make a note of the packages it removes if you want them back later. OTOH this thread also functions as a notepad

Similar Threads

  1. Replies: 1
    Last Post: 01-31-2006, 03:11 AM
  2. win doesn't play nice with my knoppix hd install :(
    By paradox_4 in forum MS Windows & New to Linux
    Replies: 2
    Last Post: 12-18-2004, 10:19 AM
  3. How do I play a dvd?
    By turbine in forum Hdd Install / Debian / Apt
    Replies: 20
    Last Post: 07-28-2004, 03:59 PM
  4. How to play DVDs with hard drive install?
    By tonylmiller in forum Hdd Install / Debian / Apt
    Replies: 11
    Last Post: 06-01-2004, 02:14 AM
  5. How to install second Knoppix to play with? - Solved !
    By janmartin3 in forum Hdd Install / Debian / Apt
    Replies: 5
    Last Post: 11-20-2003, 11:15 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •